import 'dart:convert';
import 'package:crypto/crypto.dart';

extension CapExtension on String {
  String get toCamelCase => "${this[0].toUpperCase()}${this.substring(1)}";

  String get inCaps => '${this[0].toUpperCase()}${this.substring(1)}';

  String get allInCaps => this.toUpperCase();

  String get capitalizeFirstofEach => this.trim().length > 0 ? this.trim().toLowerCase().split(" ").map((str) => str.isNotEmpty ? str.inCaps : str).join(" ") : "";
}

extension HashSha on String {
  String get toSha256 {
    var bytes = utf8.encode(this);
    return sha256.convert(bytes).toString();
  }
}
